Skip to content
Start here

List SSH Certificate Authorities (CA)

client.zeroTrust.access.gatewayCA.list(GatewayCAListParams { account_id } params, RequestOptionsoptions?): SinglePage<GatewayCAListResponse { id, public_key } >
GET/accounts/{account_id}/access/gateway_ca

Lists SSH Certificate Authorities (CA).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: SSH Auditing WriteAccess: SSH Auditing Read
ParametersExpand Collapse
params: GatewayCAListParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
GatewayCAListResponse { id, public_key }
id?: string

The key ID of this certificate.

public_key?: string

The public key of this certificate.

List SSH Certificate Authorities (CA)

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const gatewayCAListResponse of client.zeroTrust.access.gatewayCA.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(gatewayCAListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "id",
      "public_key": "public_key"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "id",
      "public_key": "public_key"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}